Class | ACL::ACLList
In: | drb/acl.rb
Parent: | Object

### Methods

add match new

### Public Class methods

new()

[Source]

    # File drb/acl.rb, line 61
        def initialize
          @list = []
        end

### Public Instance methods

add(str)

[Source]

    # File drb/acl.rb, line 74
        def add(str)
          @list.push(ACLEntry.new(str))
        end

match(addr)

[Source]

    # File drb/acl.rb, line 66
        def match(addr)
          @list.each do |e|
            return true if e.match(addr)
          end
          false
        end

[Validate]